import React from "react";
import Prismic from "prismic-javascript";

const apiEndpoint = "https://servers-api.cdn.prismic.io/api/v2";

const Client = Prismic.client(apiEndpoint);

export default function footer() {
  //   const [copyRigtYear, setYear] = React.useRef(new Date().getFullYear());
  const [footerData, setDocData] = React.useState(null);
  const [noResource, setNoResource] = React.useState(false);
  const copyRigtYear = new Date().getFullYear();
  React.useEffect(() => {
    const fetchData = async () => {
      const response = await Client.getByID("XuVXxxAAACIAavgz");
      // doc contains the document content
      if (response) {
        console.log("Footer=>", response.data);
        let data = response.data;
        let newData = [];
        let footerData = data?.["footer-items"];
        let finalData = {};

        footerData.forEach((elm, i) => {
          let catTitle = elm["footer_title_cat"][0].text;
          let catItemText = elm["footer_item_text"][0].text;
          let catItemLink = elm["footer_item_link"].url;

          if (finalData[catTitle]) {
            finalData[catTitle].push({
              text: catItemText,
              link: catItemLink,
            });
          } else {
            finalData[catTitle] = [];
            finalData[catTitle].push({
              text: catItemText,
              link: catItemLink,
            });
          }
        });

        data["footer-items-final"] = finalData;
        console.log("ssss", data["footer-items"]);
        console.log("Doc=>FOOOdata", data);
        setDocData(data);
      } else {
        setNoResource(true);
      }
    };
    fetchData();
  }, []);
  return footerData ? (
    <footer className="footer ">
      <div className="bg-dark">
        <div className="container">
          <div className="footer-link">
            <div className="row">
              {footerData?.["footer-items-final"] &&
                Object.keys(footerData["footer-items-final"]).map((key) => (
                  <div className="col-md col-6 mt-4 mt-md-5">
                    <h6 className="text-white">{key}</h6>
                    <ul className="list-unstyled">
                      {footerData["footer-items-final"][key].map((item) => (
                        <li>
                          <a href={item.link}>
                            <span>{item.text}</span>
                          </a>
                        </li>
                      ))}
                      {/* <li>
                      <a href="#">
                        <span>Windows Shared Hosting</span>
                      </a>
                    </li>
                    <li>
                      <a href="#">Hostgator Web Hosting</a>
                    </li>
                    <li>
                      <a href="#">Linux Reseller Web Hosting</a>
                    </li>
                    <li>
                      <a href="#">Windows Reseller Web Hosting</a>
                    </li>
                    <li>
                      <a href="#">WordPress Web Hosting</a>
                    </li>
                    <li>
                      <a href="#">Magento Web Hosting</a>
                    </li>
                    <li>
                      <a href="#">Drupal Web Hosting</a>
                    </li>
                    <li>
                      <a href="#">Cloud Server Hosting</a>
                    </li>
                  */}
                    </ul>
                  </div>
                ))}

              {/* <div className="col-md col-6 mt-4 mt-md-5">
                <h6 className="text-white">&nbsp;</h6>
                <ul className="list-unstyled">
                  <li>
                    <a href="#">
                      <span>VPS Server Hosting</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Plesk VPS Hosting</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Bluehost VPS Hosting</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Dedicated Server Hosting</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Windows Dedicated Server</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Dedicated Server Hostgator</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Dedicated Server Bluehost</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Managed Dedicated Server Hosting</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Business Email Hosting</span>
                    </a>
                  </li>
                </ul>
              </div>

              <div className="col-md col-6 mt-4 mt-md-5">
                <h6 className="text-white">&nbsp;</h6>
                <ul className="list-unstyled">
                  <li>
                    <a href="#">
                      <span>Enterprise Email Hosting</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Comodo SSL Certificate</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Google Apps for Business</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>CodeGuard Website Backup</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>SiteLock Security</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Online Website Builder</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Weebly website builder</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Combo Plans</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Website Themes</span>
                    </a>
                  </li>
                </ul>
              </div>

              <div className="col-md col-6 mt-4 mt-md-5">
                <h6 className="text-white">RESELLER PROGRAM</h6>
                <ul className="list-unstyled">
                  <li>
                    <a href="#">
                      <span>Domain Name Reseller</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Products & Pricing</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Domain Name Registration</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Domain Promos</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Hosting Promos</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Resource Center</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Domain Transfers</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Hosting Migration</span>
                    </a>
                  </li>
                </ul>
              </div>

              <div className="col-md col-6 mt-4 mt-md-5">
                <h6 className="text-white">&nbsp;</h6>
                <ul className="list-unstyled">
                  <li>
                    <a href="#">
                      <span>SuperSite Storefront</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Control Panel </span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>API Integration</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Account Login</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Billing Integration</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Selling Options</span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Payment Methods </span>
                    </a>
                  </li>
                  <li>
                    <a href="#">
                      <span>Affiliate Program </span>
                    </a>
                  </li>
                </ul>
              </div>
            */}
            </div>
          </div>
        </div>
        <div className="footer-bottom">
          <div className="container pt-3">
            <div className="row follow-us">
              <div className="col-md-6">
                <p className="mb-0 text-white">
                  <a href="#">
                    <i className="fas fa-globe mr-2 fa-flip-horizontal"></i>
                    GLOBAL
                  </a>
                </p>
              </div>
              <div className="col-md-6  mt-2 mt-md-0 copyright text-md-right">
                <div className="d-inline-block">
                  <ul className="list-unstyled">
                    {footerData?.["footer-social"].map((social) => (
                      <li>
                        <a href={social["footer-social-links"].url}>
                          <i
                            className={`fab fa-${social["footer-social-accounts"]}`}
                          ></i>
                        </a>
                      </li>
                    ))}
                    {/* <li>
                      <a href="#">
                        <i className="fab fa-twitter"></i>
                      </a>
                    </li>
                    <li>
                      <a href="#">
                        <i className="fab fa-pinterest-p"></i>
                      </a>
                    </li>
                    <li>
                      <a href="#">
                        <i className="fab fa-linkedin-in"></i>
                      </a>
                    </li>
                  */}
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div className="footer-copyright">
        <div className="container pt-3">
          <div className="row follow-us">
            <div className="col-xl-6">
              <div className="col-md-6 col-12 col-xl-12 follow-us mx-auto no-padd row text-center no-padd">
                {footerData?.["footer-bottom"].map((fb) => (
                  <div className="col-md col-6">
                    <a href={fb["footer-bottom-link"].url} className="fnt-12">
                      {fb["footer-bottom-text"][0].text}
                    </a>
                  </div>
                ))}
                {/* <div className="col-md col-6">
                  <a href="#" className="fnt-12">
                    Blog
                  </a>
                </div>
                <div className="col-md col-6">
                  <a href="#" className="fnt-12">
                    Sitemap
                  </a>
                </div>
                <div className="col-md col-6">
                  <a href="#" className="fnt-12">
                    Careers
                  </a>
                </div>
                <div className="col-md col-6">
                  <a href="#" className="fnt-12">
                    Legal
                  </a>
                </div>
              */}
              </div>
            </div>
            {/* <div className="col-xl-6">
              <div className="row follow-us col-xl-12 col-md-10 col-12 mx-auto text-center no-padd">
                <div className="col-md col-6">
                  <a href="#" className="fnt-12">
                    Agreements
                  </a>
                </div>
                <div className="col-md col-6">
                  <a href="#" className="fnt-12">
                    Privacy Policy
                  </a>
                </div>
                <div className="col-md col-6">
                  <a href="#" className="fnt-12">
                    Login
                  </a>
                </div>
                <div className="col-md col-6">
                  <a href="#" className="fnt-12">
                    Contact Us{" "}
                  </a>
                </div>
                <div className="col-md-3 col-6">
                  <a href="#" className="fnt-12">
                    Do Not Sell My Info
                  </a>
                </div>
              </div>
            </div> */}
          </div>

          <div className="row follow-us">
            <div className="col-md-12 pt-3 pb-3">
              <p className="fnt-12 mb-0 text-center text-dark">
                {" "}
                ©{" "}
                <span id="copyright">
                  {copyRigtYear}
                  {/* <script>
                      document.getElementById('copyright').appendChild(document.createTextNode(new
                      Date().getFullYear()))
                    </script> */}
                </span>{" "}
                <a href="index.html"> SERVERS </a>- All Rights Reserved{" "}
              </p>
            </div>
          </div>
        </div>
      </div>
    </footer>
  ) : noResource ? (
    "404 - no item found"
  ) : (
    <p></p>
  );
}
