import React, { Suspense } from "react";
// import NavData from "../../navigation.json";
import Prismic from "prismic-javascript";
import { RichText } from "prismic-reactjs";

const apiEndpoint = "https://servers-api.cdn.prismic.io/api/v2";

const Client = Prismic.client(apiEndpoint);
const header = () => {
  const [navData, setDocData] = React.useState(null);
  const [noResource, setNoResource] = React.useState(false);
  React.useEffect(() => {
    const fetchData = async () => {
      // const response = await Cient.query(
      //   Prismic.Predicates.at("document.type", "page")
      // );

      // const response = await Client.query("");
      const response = await Client.getByID("XtpyBRIAACIAQ5S6");
      // doc contains the document content
      if (response) {
        console.log("response=>NAV", response.data);
        let data = response.data;

        let navbarData = data?.["navbar-item"];
        let finalData = {};

        navbarData.forEach((elm, i) => {
          let catTitle = elm["navbar-item-category-title"][0].text;
          let catItemText = elm["navbar-item-text"][0].text;
          let catItemLink = elm["navbar-item-link"].slug;

          if (finalData[catTitle]) {
            finalData[catTitle].push({
              text: catItemText,
              link: catItemLink,
            });
          } else {
            finalData[catTitle] = [];
            finalData[catTitle].push({
              text: catItemText,
              link: catItemLink,
            });
          }
        });

        console.log("finalData=>>>>>>>>>>", finalData);
        data["navbar-item-final"] = finalData;

        console.log("Doc=>", data);
        setDocData(data);
      } else {
        setNoResource(true);
      }
    };
    fetchData();
  }, []);

  return navData ? (
    <header className="header header-style-02">
      <div className="topbar">
        <div className="container">
          <div className="topbar-inner">
            <div className="row">
              <div className="col-12">
                <div className="d-block d-md-flex align-items-center text-center">
                  <div className="mr-3 d-inline-block">
                    <a href="#">
                      <img
                        src={navData?.["topbar-global-icon"].url}
                        alt=""
                        style={{
                          maxWidth: "16px",
                          maxHeight: "16px",
                          marginRight: "10px",
                          paddingBottom: "2px",
                        }}
                      />
                      {/* <i className="fas fa-globe mr-2 fa-flip-horizontal"></i> */}
                      GLOBAL
                    </a>
                  </div>

                  <div className="ml-auto social d-inline-block">
                    <ul className="list-unstyled">
                      <li>
                        <a href={navData?.["topbar-affiliates"]?.url}>
                          {" "}
                          {navData?.["topbar-affiliates-text"][0] &&
                            navData["topbar-affiliates-text"][0].text}{" "}
                        </a>
                      </li>
                      <li>
                        <a href={navData?.["topbar-support-link"]?.url}>
                          {" "}
                          {navData?.["topbar-support-text"][0] &&
                            navData["topbar-support-text"][0].text}{" "}
                        </a>
                      </li>
                      <li>
                        <a
                          className="colour"
                          href={navData?.["topbar-login-link"]?.url}
                        >
                          {" "}
                          {navData?.["topbar-login-text"][0] &&
                            navData["topbar-login-text"][0].text}{" "}
                        </a>
                      </li>
                    </ul>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div className="header-top d-block py-3">
        <div className="container">
          <div className="row d-flex align-items-center">
            <div className="col-md-3 col-sm-6 col-6">
              <a className="navbar-brand" href="/">
                <img
                  className="img-fluid"
                  src={navData?.["logo"].url}
                  alt="logo"
                />
              </a>
            </div>
            <div className="col-md-9 col-sm-6 col-6 d-block d-md-flex justify-content-end">
              <div className="align-items-center d-flex mr-3 mr-md-4">
                <a
                  className="btn btn-primary btn-md mr-2 mr-xl-0 d-none d-sm-block"
                  href={navData?.["sales-chat-btn-link"].url}
                >
                  {" "}
                  {/* SALES CHAT */}
                  {navData?.["sales-chat-btn-text"][0] &&
                    navData["sales-chat-btn-text"][0].text}{" "}
                </a>
              </div>
              <div className="align-items-center d-flex mr-3 mr-md-4">
                <a
                  className="btn btn-outline-primary btn-md mr-2 mr-xl-0 d-none d-sm-block"
                  // href="#"
                  href={navData?.["support-btn-link"].url}
                >
                  {" "}
                  {/* SUPPORT */}
                  {navData?.["support-btn-text"][0] &&
                    navData["support-btn-text"][0].text}{" "}
                </a>
              </div>
              <div className="d-flex position-relative">
                <div className="d-none d-sm-block">
                  {/* <svg
                    width="52"
                    height="60"
                    viewBox="0 0 52 70"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <g clipPath="url(#clip0)">
                      <path
                        d="M38.9257 21.8182H7.63634V22.0921L7.24483 20.7499C6.77313 19.1307 5.26587 18 3.57955 18H0.954576C0.426951 18 0 18.427 0 18.9546C0 19.4822 0.426951 19.9092 0.954576 19.9092H3.57955C4.42316 19.9092 5.17638 20.4741 5.41219 21.2841L11.3539 41.6549L8.30938 45.4601C7.87501 46.0035 7.63634 46.685 7.63634 47.3803C7.63634 49.0759 9.015 50.4546 10.7106 50.4546H37.2273C37.7549 50.4546 38.1819 50.0276 38.1819 49.5C38.1819 48.9724 37.7549 48.5454 37.2273 48.5454H10.7106C10.0684 48.5454 9.5454 48.0225 9.5454 47.3802C9.5454 47.1164 9.63579 46.8572 9.8008 46.6522L12.8684 42.8182H31.5913C33.0632 42.8182 34.4195 41.9577 35.0469 40.6257L41.7083 26.4706C41.8993 26.0633 42 25.6112 42 25.1628V24.8924C42 23.1969 40.6213 21.8182 38.9257 21.8182ZM40.0909 25.1629C40.0909 25.3334 40.0527 25.505 39.98 25.6588L33.3196 39.8129C33.0055 40.4785 32.3278 40.9091 31.5913 40.9091H13.125L8.11331 23.7273H38.9257C39.568 23.7273 40.0909 24.2502 40.0909 24.8925V25.1629Z"
                        fill="black"
                      />
                      <path
                        d="M11.4546 52.3636C9.34881 52.3636 7.63635 54.076 7.63635 56.1819C7.63635 58.2877 9.34872 60.0001 11.4546 60.0001C13.5604 60.0001 15.2728 58.2877 15.2728 56.1819C15.2728 54.076 13.5603 52.3636 11.4546 52.3636ZM11.4546 58.0909C10.4022 58.0909 9.54551 57.2342 9.54551 56.1819C9.54551 55.1295 10.4022 54.2728 11.4546 54.2728C12.507 54.2728 13.3636 55.1295 13.3636 56.1819C13.3636 57.2342 12.507 58.0909 11.4546 58.0909Z"
                        fill="black"
                      />
                      <path
                        d="M34.3637 52.3636C32.2579 52.3636 30.5455 54.076 30.5455 56.1819C30.5455 58.2877 32.2578 60.0001 34.3637 60.0001C36.4695 60.0001 38.1819 58.2877 38.1819 56.1819C38.1819 54.076 36.4694 52.3636 34.3637 52.3636ZM34.3637 58.0909C33.3113 58.0909 32.4546 57.2342 32.4546 56.1819C32.4546 55.1295 33.3113 54.2728 34.3637 54.2728C35.4161 54.2728 36.2727 55.1295 36.2727 56.1819C36.2727 57.2342 35.4161 58.0909 34.3637 58.0909Z"
                        fill="black"
                      />
                    </g>

                    <defs>
                      <clipPath id="clip0">
                        <rect y="18" width="42" height="42" fill="white" />
                      </clipPath>
                    </defs>
                  </svg>
                 */}
                  <a href={navData?.["cart-icon-link"].url}>
                    <img
                      style={{
                        maxHeight: "40px",
                        maxWidth: "45px",
                        marginBottom: "-28px",
                      }}
                      className="img-fluid"
                      src={navData?.["cart-icon"].url}
                      alt="logo"
                    />
                    <span className="badge badge-danger d-table">
                      {navData?.["cart-icon-count"][0].text}
                    </span>
                  </a>
                </div>
              </div>
              <button
                type="button"
                className="d-block d-xl-none navbar-toggler d-flex ml-3 mr-md-4 ml-auto"
                data-toggle="collapse"
                data-target=".navbar-collapse"
              >
                <i className="fas fa-align-left"></i>
              </button>
            </div>
          </div>
        </div>
      </div>
      <div className="header header-bottom header-sticky bg-dark">
        <nav className="navbar navbar-static-top navbar-expand-xl">
          <div className="container position-relative">
            <div className="navbar-collapse collapse">
              <ul className="nav navbar-nav">
                {navData["navbar-items"].map((item) => (
                  <li className="dropdown nav-item position-static">
                    <a
                      className="nav-link"
                      href="#"
                      id="navbarDropdown"
                      role="button"
                      data-toggle="dropdown"
                      aria-haspopup="true"
                      aria-expanded="false"
                    >
                      {item["navbar-item-display"][0].text}

                      {item["navbar-item-hassubitems"] && (
                        <i className="fas fa-chevron-down fa-xs"></i>
                      )}

                      {item["navbar-item-sale"] && (
                        <span className="badge-parent text-center">
                          <span className="badge ">SALE</span>
                        </span>
                      )}
                    </a>
                    {item["navbar-item-hassubitems"] && (
                      <ul className="dropdown-menu megamenu dropdown-menu-lg">
                        <li>
                          <div className="row">
                            <div className="col-sm-3 pr-5">
                              <h6 className="mb-0 mt-lg-2 nav-title pb-3">
                                {item["navbar-item-title"][0].text}
                              </h6>

                              <p>
                                {/* {NavData.navigation[navKey].desc} */}
                                {item["navbar-item-desc"][0].text}
                              </p>
                            </div>
                            {navData?.["navbar-item-final"] &&
                              Object.keys(navData["navbar-item-final"]).map((cat) => (
                                <div className="col-sm-3">
                                  <h6 className="mb-0 mt-lg-2 nav-title">
                                    {/* {cat["navbar-item-category-title"][0].text} */}
                                    {cat}
                                  </h6>
                                  <ul className="list-unstyled mt-lg-1">
                                    {/* {cat.links.map((link) => (
                                    <li>
                                      <a className="dropdown-item" href="#">
                                        <span>{link.title}</span>
                                      </a>
                                    </li>
                                  ))} */}
                                    {navData["navbar-item-final"][cat].map((item) => (
                                      <li>
                                        <a
                                          className="dropdown-item"
                                          href={item.link}
                                          // href={cat["navbar-item-link"].slug}
                                        >
                                          <span>
                                            {/* {cat["navbar-item-text"][0].text} */}
                                            {item.text}
                                          </span>
                                        </a>
                                      </li>
                                    ))}
                                  </ul>
                                </div>
                              ))}
                          </div>
                        </li>
                      </ul>
                    )}
                  </li>
                ))}
              </ul>
            </div>
            <a
              className="btn btn-primary btn-primary-offer btn-md mr-5 mr-xl-0 d-xl-block d-none"
              href={navData?.["navbar_offers_link"].url}
            >
              <svg
                width="18"
                height="18"
                viewBox="0 0 24 24"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
              >
                <path
                  d="M22.5 6.73533H17.754C18.0945 6.50283 18.387 6.27183 18.591 6.06483C19.8 4.84833 19.8 2.86833 18.591 1.65183C17.4165 0.469833 15.3675 0.468333 14.1915 1.65183C13.542 2.30433 11.8155 4.96083 12.054 6.73533H11.946C12.183 4.96083 10.458 2.30433 9.8085 1.65183C8.6325 0.468333 6.5835 0.469833 5.409 1.65183C4.2 2.86833 4.2 4.84833 5.4075 6.06483C5.613 6.27183 5.9055 6.50283 6.246 6.73533H1.5C0.6735 6.73533 0 7.40883 0 8.23533V11.9853C0 12.3993 0.336 12.7353 0.75 12.7353H1.5V21.7353C1.5 22.5618 2.1735 23.2353 3 23.2353H21C21.8265 23.2353 22.5 22.5618 22.5 21.7353V12.7353H23.25C23.664 12.7353 24 12.3993 24 11.9853V8.23533C24 7.40883 23.3265 6.73533 22.5 6.73533ZM6.4725 2.70933C6.777 2.40333 7.1805 2.23533 7.6095 2.23533C8.037 2.23533 8.4405 2.40333 8.745 2.70933C9.756 3.72633 10.761 6.32433 10.4115 6.68583C10.4115 6.68583 10.3485 6.73533 10.134 6.73533C9.0975 6.73533 7.119 5.65833 6.4725 5.00733C5.844 4.37433 5.844 3.34233 6.4725 2.70933ZM11.25 21.7353H3V12.7353H11.25V21.7353ZM11.25 11.2353H1.5V8.23533H10.134H11.25V11.2353ZM15.255 2.70933C15.864 2.09883 16.92 2.10033 17.5275 2.70933C18.156 3.34233 18.156 4.37433 17.5275 5.00733C16.881 5.65833 14.9025 6.73533 13.866 6.73533C13.6515 6.73533 13.5885 6.68733 13.587 6.68583C13.239 6.32433 14.244 3.72633 15.255 2.70933ZM21 21.7353H12.75V12.7353H21V21.7353ZM22.5 11.2353H12.75V8.23533H13.866H22.5V11.2353Z"
                  fill="white"
                />
              </svg>
              &nbsp;
              {RichText.asText(navData?.["navbar_offers_cta"])}{" "}
            </a>
          </div>
        </nav>
      </div>
    </header>
  ) : noResource ? (
    "404 - no item found"
  ) : (
    <p></p>
  );
};

export default header;
