import React from "react";

import Layout from "../components/layouts/layout";
import ErrorPage from "./404";
import Slider from "react-slick";
import { RichText } from "prismic-reactjs";

import Prismic from "prismic-javascript";

const apiEndpoint = "https://servers-api.cdn.prismic.io/api/v2";

const Client = Prismic.client(apiEndpoint);

export default function Home() {
  const [homeData, setDocData] = React.useState(null);
  const [noResource, setNoResource] = React.useState(false);
  var settings = {
    // focusOnSelect: false,
    speed: 300,
    slidesToShow: 3,
    slidesToScroll: 1,
    arrows: false,
    infinite: true,
    swipeToSlide: true,
    responsive: [
      {
        breakpoint: 1024,
        settings: {
          slidesToShow: 3,
          slidesToScroll: 1,
          infinite: true,
          // dots: true,
        },
      },
      {
        breakpoint: 768,
        settings: {
          slidesToShow: 2,
          slidesToScroll: 1,
          infinite: true,
        },
      },
      {
        breakpoint: 480,
        settings: {
          slidesToShow: 1,
          slidesToScroll: 1,
        },
      },
    ],

    //
  };

  React.useEffect(() => {
    const fetchData = async () => {
      // const response = await Client.query(
      //   Prismic.Predicates.at("document.type", "page")
      // );

      // const response = await Client.query("");
      const response = await Client.getByID("XtvDmhIAACIASW6Q");
      // doc contains the document content
      if (response) {
        // console.log("response=>", response);
        let data = response.data;

        // data["hero-maintext"] = data?.["hero-maintext"][0].text;
        // data["hero-subtext"] = data?.["hero-subtext"][0].text;
        // data["hero-promo-start"] = data?.["hero-promo-start"][0].text;
        // data["banner-title"] = data?.["banner-title"][0].text;
        // data["banner-subtitle"] = data?.["banner-subtitle"][0].text;
        // data["banner-text"] = data?.["banner-text"][0].text;
        // data["banner-per"] = data?.["banner-per"][0].text;
        // data["carousel-title"] = data?.["carousel-title"][0].text;
        // data["advantage-title"] = data?.["advantage-title"][0].text;
        // data["advantage-subtitle"] = data?.["advantage-subtitle"][0].text;

        // data["range-subititle"] =
        //   data?.["range-subititle"] &&
        //   data?.["range-subititle"][0] &&
        //   data?.["range-subititle"][0].text;
        // data["range-title"] =
        //   data?.["range-title"] &&
        //   data?.["range-title"][0] &&
        //   data?.["range-title"][0].text;
        // data["range-desc"] =
        //   data?.["range-desc"] &&
        //   data?.["range-desc"][0] &&
        //   data?.["range-desc"][0].text;

        // setArr(data["carousel-items"])

        console.log("index=>>", data);
        setDocData(data);
        // console.log("Doc=>", await doc);
      } else {
        setNoResource(true);
      }
    };
    fetchData();
  }, []);

  return (
    <Layout>
      {/* .btn-light-green {
        background: linear-gradient(
          0deg,
          ${homeData?.banner?.theme || "#3AC6AD"} 0%,
          #7dde31 126.04%
        ) !important;
      }
      .border-image {
        background: ${homeData?.range?.background || "#3AC6AD"};
      } */}

      {homeData ? (
        <>
          <section className="slider-03">
            <div id="main-slider" className="swiper-container">
              <div className="swiper-wrapper">
                <div
                  className="swiper-slide slide-01"
                  style={{
                    background: `linear-gradient(178.82deg, ${
                      homeData?.hero?.theme || "#3AC6AD"
                    } -0.79%, #FFFFFF 112.21%)`,
                  }}
                >
                  <div className="container ">
                    <div className="row d-flex justify-content-center">
                      <div
                        className="col-lg-6 col-md-12 col-sm-12 align-self-start text-center"
                        style={{
                          background: `url(${homeData?.["hero-bgimg"]?.url}) center / cover`,
                        }}
                        data-swiper-animation="fadeInUp"
                        data-duration="2.0s"
                        data-delay="0.2s"
                      >
                        <img
                          className="img-fluid"
                          data-swiper-animation="fadeInDown"
                          data-duration="2.0s"
                          data-delay="0.2s"
                          // src="images/promo_1.svg"
                          src={homeData?.["hero-img"]?.url}
                          alt="#"
                        />
                      </div>
                      <div className="col-lg-6 col-md-12 col-sm-12 text-left  align-self-center pb-5">
                        <div className="banner-content">
                          <div className="">
                            <h2
                              className="animated mb-0 text-dark h1"
                              data-swiper-animation="fadeInDown"
                              data-duration="2.0s"
                              data-delay="0.6s"
                            >
                              {RichText.asText(homeData?.["hero-maintext"])}
                            </h2>
                            <h6
                              className="text-dark mb-0 lead font-weight-light pb-3"
                              data-swiper-animation="fadeInDown"
                              data-duration="2.0s"
                              data-delay="0.4s "
                            >
                              {/* {homeData?.hero?.subtext} */}
                              {RichText.asText(homeData?.["hero-subtext"])}
                            </h6>
                            <div className="row ">
                              <div className="col-xl-3 col-sm-5 col-6">
                                <p
                                  className="no-marg"
                                  data-swiper-animation="fadeInUp"
                                  data-duration="2.0s"
                                  data-delay="0.6s"
                                >
                                  {RichText.asText(
                                    homeData?.["hero-promo-start"]
                                  )}
                                </p>
                                <h4
                                  className="text-black banner_payment no-marg"
                                  data-swiper-animation="fadeInUp"
                                  data-duration="2.0s"
                                  data-delay="0.6s"
                                >
                                  <sup className="fnt-18 fnt-wgt-600">
                                    {/* {homeData?.hero?.promo?.currency} */}
                                    {homeData?.["hero-promo-currency"]}
                                  </sup>
                                  {/* 2.5 */}
                                  {/* {homeData?.hero?.promo?.price} */}
                                  {homeData?.["hero-promo-price"]}

                                  <div className="dis-in-blk fnt-16 fnt-wgt-600 line-hght-16">
                                    {/* {homeData?.hero?.promo?.per} */}
                                    {homeData?.["hero-promo-per"]}
                                  </div>
                                </h4>
                                <del
                                  className="d-block fnt-16 text-xl-right text-left"
                                  data-swiper-animation="fadeInUp"
                                  data-duration="2.0s"
                                  data-delay="0.7s"
                                >
                                  {/* {homeData?.hero?.promo["original-price"]} */}
                                  {homeData?.["hero-promo-original-price"]}
                                </del>
                              </div>
                              <div className="col-6 text-right">
                                <a
                                  className="animated btn btn-light-green mt-3"
                                  data-swiper-animation="fadeInUp"
                                  data-duration="2.0s"
                                  data-delay="0.8s"
                                  href={homeData?.["hero-cta"].slug}
                                >
                                  BUY NOW
                                </a>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </section>
          <section className="margin-n-tp-60">
            <div className="bg-white container position-relative pt-3 z-index-99 simple_shadow bdr-radius-5">
              <div className="row">
                {homeData?.["featured-item"].map((item, i) => (
                  <div
                    className="col-md-6 col-lg-4 mb-md-3 pr-md-2 pb-sm-0 pb-2 "
                    key={i}
                  >
                    <a
                      href="#"
                      className="feature-info feature-info-style-2 one d-block"
                      // style={{
                      //   // background: `${
                      //   //   item?.["featured-item-bg-color"] || "#3ac6ad29"
                      //   // } url(${item?.["featured-item-bg-img"].url}) 60%`,
                      //   // backgroundSize: "110%",
                      //   background:
                      //     "rgba(58, 198, 173, 0.16) url(../images/main-1-bg.png) 60%",
                      //   // backgroundSize: "auto",
                      //   backgroundSize: "110%",
                      // }}
                    >
                      <style jsx>{`
                        .feature-info-style-2.one {
                          background: ${item?.["featured-item-bg-color"] ||
                            "#3ac6ad29"}
                            url(../images/main-1-bg.png) 60%;
                          background-size: 110% !important;
                        }
                        .feature-info-style-2:hover {
                          background-size: 150% !important;
                        }
                      `}</style>
                      <div className="d-flex feature-info-content align-items-center">
                        <div className="ml-4 text-left w-50">
                          <h4 className="feature-info-title line-hght-30 text-dark pl-2">
                            {item?.["featured-item-title"][0].text}
                          </h4>
                          <div className="ml-4 mt-3 shape-button">
                            <span className="fnt-18 font-weight-bold pab text-white widget_angel">
                              {item?.["featured-item-pretext"][0].text +
                                `` +
                                item?.["featured-item-scale"] +
                                ` ` +
                                item?.["featured-item-posttext"][0].text}
                            </span>
                          </div>
                        </div>
                        <div className="w-50 text-right pt-2 pb-2">
                          <img
                            // src="images/reseller_hosting.png"
                            src={item?.["featured-item-img"].url}
                            className="img-fluid"
                          />
                        </div>
                      </div>
                      <div className="feature-info-bg"></div>
                    </a>
                  </div>
                ))}
              </div>

              <div
                className="  bdr-radius-5 overflow-hidden"
                style={{
                  // background: `url(${item["bgimg"]}) center / cover`,
                  background: `${homeData?.["banner-bg"]}`,
                }}
              >
                <div className=" d-flex align-items-center ">
                  <div className="col-lg-5 col-md-7 mb-md-0 mb-3 ml-4 pt-md-3 pb-md-3">
                    <div className="callout-content">
                      <p className="mb-0 text-white fnt-18 ">
                        {RichText.asText(homeData?.["banner-subtitle"])}
                      </p>
                      <h3 className="text-white no-marg">
                        {RichText.asText(homeData?.["banner-title"])}
                      </h3>
                    </div>
                  </div>
                  <a
                    href="#"
                    className="col-lg-2 col-md-3 col-6 center-circule text-md-center pr-0 pl-5 d-block"
                  >
                    <div className="position-relative z-index-99">
                      <p
                        className="no-marg text-black text-left"
                        data-swiper-animation="fadeInUp"
                        data-duration="2.0s"
                        data-delay="0.6s"
                      >
                        {RichText.asText(homeData?.["banner-text"])}
                      </p>
                      <h3
                        className="text-black  no-marg"
                        data-swiper-animation="fadeInUp"
                        data-duration="2.0s"
                        data-delay="0.6s"
                      >
                        <sup className="fnt-18 fnt-wgt-600">
                          {/* {homeData.banner.currency} */}
                          {homeData?.["banner-currency"]}
                        </sup>
                        {/* {homeData.banner.min_price} */}

                        {homeData?.["banner-amount"]}

                        <div className="dis-in-blk fnt-16 fnt-wgt-600 line-hght-16">
                          {/* {homeData.banner.per} */}
                          {RichText.asText(homeData?.["banner-per"])}
                        </div>
                      </h3>
                    </div>
                    <div href="#" className="pulses"></div>
                  </a>
                  <div className="col-md-5  text-md-right pr-0 d-lg-block d-md-none">
                    <img
                      src={homeData?.["banner-bg-right"].url}
                      className="img-fluid "
                    />
                  </div>
                </div>
              </div>

              <div className="row">
                <div className="col-12">
                  <div className="text-left text-dark pt-5">
                    <h5>{RichText.asText(homeData?.["carousel-title"])}</h5>
                  </div>
                </div>
              </div>

              {/* slider Start*/}
              <div className="row pb-3">
                <div className="col-md-12">
                  <Slider {...settings}>
                    {homeData?.["carousel-items"].map((item, i) => (
                      <div
                        key={i}
                        className="carousel-item"
                        // style={{ width: "283.5px", marginRight: "15px" }}
                      >
                        <style jsx>{`
                          .carousel-item {
                            outline: none !important;
                          }
                        `}</style>
                        <a
                          className="row item"
                          style={{ marginRight: "-10px", marginLeft: "-10px" }}
                        >
                          <div
                            className="col-12 pb-1"
                            // style={{
                            //   paddingRight: "25px",
                            //   paddingLeft: "25px",
                            // }}
                          >
                            <div className="bdr-radius-5 overflow-hidden position-relative">
                              <img
                                className="img-fluid"
                                src="images/domain-1.png"
                                src={item?.["carousel-item-bgimg"].url}
                                alt=""
                              />
                              <div className="h-100 position-absolute top_0 w-100">
                                <div className="dis-tbl h-100 w-100">
                                  <div className="dis-tbl-cell fnt-36 font-weight-bold tbl-con-algn-center text-center text-white">
                                    {/* <svg
                                      width="130"
                                      height="35"
                                      viewBox="0 0 163 35"
                                      fill="none"
                                      xmlns="http://www.w3.org/2000/svg"
                                    >
                                      <path
                                        d="M0.468619 20.488C0.468619 23.128 2.67662 25.432 5.36462 25.432C8.05262 25.432 10.3086 23.128 10.3086 20.488C10.3086 17.8 8.05262 15.592 5.36462 15.592C2.67662 15.592 0.468619 17.8 0.468619 20.488ZM12.1979 18.424C12.1979 22.216 15.2219 25.672 20.4539 25.672C23.6219 25.672 25.9259 24.328 27.1739 22.312C27.1739 23.944 27.3659 24.808 27.4139 25H33.9899C33.9419 24.76 33.7019 23.176 33.7019 21.304V9.64C33.7019 4.744 30.8699 0.423999 23.1419 0.423999C16.1339 0.423999 12.9659 4.936 12.6779 8.344L19.0139 9.64C19.1579 7.864 20.5499 6.136 23.0939 6.136C25.3979 6.136 26.5979 7.336 26.5979 8.728C26.5979 9.544 26.1659 10.168 24.8699 10.36L19.2539 11.224C15.3179 11.8 12.1979 14.2 12.1979 18.424ZM22.2299 20.392C20.2139 20.392 19.3979 19.192 19.3979 17.944C19.3979 16.264 20.5499 15.544 22.0859 15.304L26.5979 14.584V15.64C26.5979 19.336 24.3899 20.392 22.2299 20.392ZM35.6204 26.344C36.2924 30.616 40.6604 34.84 47.5244 34.84C56.4524 34.84 60.2924 28.888 60.2924 22.024V1.144H53.3324V3.688C52.6604 2.44 50.5964 0.711998 46.7084 0.711998C40.1804 0.711998 35.6204 6.088 35.6204 12.376C35.6204 19 40.3724 23.992 46.7084 23.992C50.1644 23.992 52.2284 22.6 53.0924 21.304V22.408C53.0924 26.728 50.8364 28.504 47.1884 28.504C44.4524 28.504 42.5324 26.824 42.0524 24.52L35.6204 26.344ZM48.0524 17.656C45.1244 17.656 42.9164 15.64 42.9164 12.376C42.9164 9.112 45.3164 7.096 48.0524 7.096C50.7884 7.096 53.1404 9.112 53.1404 12.376C53.1404 15.64 51.0284 17.656 48.0524 17.656ZM69.5766 10.216C69.7206 8.44 71.2566 6.184 74.3286 6.184C77.7846 6.184 79.0326 8.392 79.1286 10.216H69.5766ZM79.6566 16.408C78.9846 18.28 77.4966 19.528 74.8566 19.528C72.0246 19.528 69.5766 17.608 69.4326 14.92H86.0406C86.0886 14.776 86.1846 13.672 86.1846 12.664C86.1846 4.984 81.6246 0.423999 74.2326 0.423999C68.0406 0.423999 62.3286 5.32 62.3286 13C62.3286 21.016 68.1846 25.72 74.7606 25.72C80.8086 25.72 84.6006 22.264 85.7526 18.136L79.6566 16.408ZM95.7651 11.32C95.7651 8.92 97.3011 7.144 99.7011 7.144C102.341 7.144 103.589 8.92 103.589 11.272V25H110.885V10.024C110.885 4.792 108.197 0.519998 102.197 0.519998C99.7491 0.519998 96.8211 1.624 95.5251 3.88V1.144H88.4691V25H95.7651V11.32ZM125.608 7.144C128.44 7.144 129.88 8.872 130.408 10.696L136.936 8.728C135.88 4.456 132.04 0.423999 125.464 0.423999C118.456 0.423999 112.888 5.656 112.888 13.096C112.888 20.488 118.6 25.72 125.704 25.72C132.088 25.72 136.024 21.592 137.08 17.416L130.648 15.448C130.12 17.224 128.536 19 125.704 19C122.68 19 120.136 16.888 120.136 13.096C120.136 9.256 122.584 7.144 125.608 7.144ZM147.826 34.168L162.514 1.144H154.786L149.506 13.912L143.698 1.144H135.538L145.57 21.784L140.146 34.168H147.826Z"
                                        fill="white"
                                      />
                                    </svg> */}
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                          <div className="col-8">
                            <h6>
                              {RichText.asText(item?.["carousel-item-title"])}{" "}
                              <span className="font-weight-light">
                                {/* {homeData.carousel.itemtext} */}
                                {RichText.asText(item?.["carousel-item-type"])}
                                {""}
                              </span>
                            </h6>
                          </div>
                          <div className="col-4 text-right">
                            <span>
                              {/* {item.text} */}
                              {RichText.asText(item?.["carousel-item-pretext"])}
                              {""}
                            </span>
                            <h6 className="line-hght-16 no-marg">
                              {item?.["carousel-item-currency"] +
                                `` +
                                item?.["carousel-item-price"]}
                            </h6>
                          </div>
                        </a>
                      </div>
                    ))}
                  </Slider>
                </div>
              </div>
              {/* slider End */}
            </div>
          </section>
          <section className="marg-tp-30">
            <div className="bg-white container position-relative pt-3 z-index-99 simple_shadow bdr-radius-5">
              <div className="row pt-4">
                <div className="col-12">
                  <div className="section-title ml-4">
                    <div className="ml-4 mt-3 shape-button">
                      <span className="fnt-18 font-weight-light pab text-white widget_angel">
                        {RichText.asText(homeData?.["advantage-subtitle"])}
                      </span>
                    </div>

                    <h2 className="mt-3 text-uppercase">
                      {/* {homeData.advantage.title} */}
                      {RichText.asText(homeData?.["advantage-title"])}
                    </h2>
                  </div>
                </div>
              </div>
              <div className="row pb-5">
                {homeData?.["advantage-items"].map((item, i) => (
                  <div
                    className="col-lg-3 col-md-6 mb-md-0 mb-4 bdr-rgt-1 bdr-btm-1"
                    key={i}
                  >
                    <div className="feature-info feature-info-style-1">
                      <div className="feature-info-icon">
                        <img src={item["advantage-item-icon"].url} />
                      </div>
                      <div className="feature-info-content">
                        <h6 className="feature-info-title text-black">
                          {/* {item.title} */}
                          {RichText.asText(item["advantage-item-title"])}
                        </h6>
                        {/* <p className="feature-info-title line-hght-22 ">
                    {item.predesc}{" "}
                    {item.links.link.map((link) => (
                      <a
                        href={link.link}
                        className="font-weight-bold text-info"
                      >
                        {link.text}
                      </a>
                    ))}{" "}
                    {item.posttext}
                  </p> */}
                        <p className="feature-info-title line-hght-22 ">
                          {RichText.asText(item["advantage-item-text"])}
                          {/* <a
                        href={link.link}
                        className="font-weight-bold text-info"
                      >
                      </a> */}
                        </p>
                      </div>
                    </div>
                  </div>
                ))}
              </div>
            </div>
          </section>
          <section className="marg-btm-100 marg-tp-30">
            <div className="bg-white container pt-3 z-index-99 simple_shadow bdr-radius-5 padd-btm-30">
              <div className="row pt-4">
                <div className="col-12">
                  <div className="section-title ml-4">
                    <div className="ml-4 mt-3 shape-button">
                      <span className="fnt-18 font-weight-light pab text-white widget_angel">
                        Widest Range of Products to meet
                      </span>
                    </div>
                    <h2 className="mt-3 text-uppercase">
                      {RichText.asText(homeData?.["range-title"])}
                      {/* EVERY PROFESSIONAL’S NEEDS */}
                    </h2>
                    <p className="mb-3 text-black">
                      {RichText.asText(homeData?.["range-subtitle"])}

                      {/* Choose from an array of options curated for */}
                      {/* <a href="#" className="font-weight-bold text-info">
                      {" "}
                      Web Designers
                    </a>{" "}
                    &{" "}
                    <a href="#" className="font-weight-bold text-info">
                      Developers
                    </a> */}
                    </p>
                  </div>
                </div>
              </div>

              <div className="row pb-5">
                <div className="col-lg-6 col-md-12 pl-5">
                  <div className="row pt-xl-5 pt-1">
                    {homeData?.["range-items"].map((item, i) => (
                      <div
                        className="col-xl-4 col-lg-6 col-md-4 pt-lg-4 pt-2 pb-lg-4 pb-2"
                        key={i}
                      >
                        <div className="our-partners pl-2 pr-2">
                          <img
                            src={item["range-item-img"].url}
                            alt="#"
                            className="img-fluid"
                          />
                          <p className="m-0 pt-2 fnt-12 line-hght-16 text-black">
                            {item["range-item-text"][0].text}
                          </p>
                        </div>
                      </div>
                    ))}

                    <div className="col-xl-4 col-lg-6 col-md-4 pt-lg-4 pt-2 pb-lg-4 pb-2">
                      <div className="our-partners pl-2 pr-2">
                        <svg
                          width="24"
                          height="24"
                          viewBox="0 0 24 24"
                          fill="none"
                          xmlns="http://www.w3.org/2000/svg"
                        >
                          <g>
                            <path
                              d="M23.8535 12.3535L16.3535 19.8535C16.2099 19.9961 15.9966 20.0395 15.8086 19.9619C15.6216 19.8848 15.5 19.7021 15.5 19.5V18.5C15.5 18.3672 15.5527 18.2402 15.6465 18.1465L20.793 13L0.500016 13C0.223641 13 0 12.7764 0 12.5L0 11.5C0 11.2236 0.223641 11 0.500016 11L20.793 11L15.6465 5.85348C15.5527 5.75973 15.5 5.6328 15.5 5.49995V4.49997C15.5 4.2978 15.6216 4.11522 15.8086 4.03806C15.8706 4.01219 15.9355 3.99995 16 3.99995C16.1299 3.99995 16.2578 4.05072 16.3535 4.14644L23.8535 11.6464C24.0488 11.8418 24.0488 12.1582 23.8535 12.3535Z"
                              fill="#3AC6AD"
                            />
                          </g>
                          <defs>
                            <clipPath id="clip0">
                              <rect
                                width="24"
                                height="24"
                                transform="matrix(1 0 0 -1 0 24)"
                                fill="white"
                              />
                            </clipPath>
                          </defs>
                        </svg>

                        <p className="m-0 pt-2 fnt-12 line-hght-16 text-black">
                          and more...
                        </p>
                      </div>
                    </div>
                  </div>
                </div>

                <div className="col-md-6 position-static d-md-none d-lg-block">
                  <div className="border-image"></div>
                  <img
                    src={homeData?.["range-item-wallpaer"].url}
                    className="img-fluid position-absolute right_0 special-img"
                  />
                </div>
              </div>
            </div>
          </section>

          <section className="marg-tp-30">
            <div className="bg-white container pt-3 z-index-99 ">
              <div
                className="  bdr-radius-5 overflow-hidden"
                style={{
                  background: `${homeData?.["banner-bg"]}`,

                  // background: "url('images/banner_gb.png') center / cover",
                }}
              >
                <div className=" d-flex align-items-center ">
                  <div className="col-lg-5 col-md-7 mb-md-0 mb-3 ml-4 pt-md-3 pb-md-3">
                    <div className="callout-content">
                      <p className="mb-0 text-white fnt-18 ">
                        {/* {homeData.banner.subtitle} */}
                        {RichText.asText(homeData?.["banner-subtitle"])}
                      </p>
                      <h3 className="text-white no-marg">
                        {" "}
                        {/* {homeData.banner.title} */}
                        {RichText.asText(homeData?.["banner-title"])}
                      </h3>
                    </div>
                  </div>
                  <a
                    href="#"
                    className="col-lg-2 col-md-3 col-6 center-circule text-md-center pr-0 pl-5 d-block"
                  >
                    <div className="position-relative z-index-99">
                      <p
                        className="no-marg text-black text-left"
                        data-swiper-animation="fadeInUp"
                        data-duration="2.0s"
                        data-delay="0.6s"
                      >
                        {/* {homeData.banner.text} */}
                        {RichText.asText(homeData?.["banner-text"])}
                      </p>
                      <h3
                        className="text-black  no-marg"
                        data-swiper-animation="fadeInUp"
                        data-duration="2.0s"
                        data-delay="0.6s"
                      >
                        <sup className="fnt-18 fnt-wgt-600">
                          {/* {homeData.banner.currency} */}
                          {homeData?.["banner-currency"]}
                        </sup>
                        {/* {homeData.banner.min_price} */}
                        {homeData?.["banner-amount"]}

                        <div className="dis-in-blk fnt-16 fnt-wgt-600 line-hght-16">
                          {/* {homeData.banner.per} */}
                          {RichText.asText(homeData?.["banner-per"])}
                        </div>
                      </h3>
                    </div>
                    <div href="#" className="pulses"></div>
                  </a>
                  <div className="col-md-5  text-md-right pr-0 d-lg-block d-md-none">
                    <img
                      src={homeData?.["banner-bg-right"].url}
                      // src="images/banner_bg-1.png"
                      className="img-fluid "
                    />
                  </div>
                </div>
              </div>
            </div>
          </section>
        </>
      ) : noResource ? (
        <ErrorPage />
      ) : (
        <div
          style={{
            display: "flex",
            alignItems: "center",
            justifyContent: "center",
            height: "100vh",
          }}
        >
          <div className="spinner-grow text-info" role="status">
            <span className="sr-only">Loading...</span>
          </div>
        </div>
      )}
    </Layout>
  );
}
